aboutsummaryrefslogtreecommitdiffstats
path: root/bin/distcenter/build_distcenter_image.sh
diff options
context:
space:
mode:
authorManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-22 11:08:57 -0700
committerManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-08-22 14:17:08 -0700
commit858b1278219b5cb6ca6f6d4abcb20b0180216be1 (patch)
treeaf8afb6a9f0ca0ac77b3e187ab424fe80d21441a /bin/distcenter/build_distcenter_image.sh
parent572150672972e58d3e2b2f21e5dfd3004bce6b68 (diff)
Add build scripts and tabrmd
There is a dependency on tabrmd while building duplicate tool and this is required for now. Cleanup and use base container from nexus repo. Add build scripts for nightly build. Change-Id: I4c3487d22988927084d7336671b81144374ccb5d Issue-ID: AAF-418 Signed-off-by: Manjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>
Diffstat (limited to 'bin/distcenter/build_distcenter_image.sh')
-rwxr-xr-xbin/distcenter/build_distcenter_image.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/bin/distcenter/build_distcenter_image.sh b/bin/distcenter/build_distcenter_image.sh
new file mode 100755
index 0000000..8da9d8b
--- /dev/null
+++ b/bin/distcenter/build_distcenter_image.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -e
+DIRNAME=`dirname $0`
+DOCKER_BUILD_DIR=`cd $DIRNAME/; pwd`
+echo "DOCKER_BUILD_DIR=${DOCKER_BUILD_DIR}"
+cd ${DOCKER_BUILD_DIR}
+
+BUILD_ARGS="--no-cache"
+ORG="onap"
+VERSION="3.0.0"
+PROJECT="aaf"
+IMAGE="distcenter"
+DOCKER_REPOSITORY="nexus3.onap.org:10003"
+IMAGE_NAME="${DOCKER_REPOSITORY}/${ORG}/${PROJECT}/${IMAGE}"
+TIMESTAMP=$(date +"%Y%m%dT%H%M%S")
+
+if [ $HTTP_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTP_PROXY=${HTTP_PROXY}"
+fi
+if [ $HTTPS_PROXY ]; then
+ BUILD_ARGS+=" --build-arg HTTPS_PROXY=${HTTPS_PROXY}"
+fi
+echo $BUILD_ARGS
+
+function build_image {
+ echo "Start build docker image: ${IMAGE_NAME}:latest"
+ docker build ${BUILD_ARGS} -t ${IMAGE_NAME}:latest -f distcenterdockerfile .
+}
+
+function push_image {
+ echo "Start push ${IMAGE_NAME}:latest"
+ docker push ${IMAGE_NAME}:latest
+ echo "Start push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest"
+ docker tag ${IMAGE_NAME}:latest ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+ docker push ${IMAGE_NAME}:${VERSION}-SNAPSHOT-latest
+}
+
+build_image
+push_image